<?php
if (!defined('_ECRIRE_INC_VERSION')) return;

/**
 * modifier la visibilité publique d'un slug Gamumail
 * 
 *  @plugin     GamuMail
 *
 * @copyright  2020
 * @author     cy_altern
 * @licence    GNU/GPL
 *
 **/

include_spip('inc/autoriser');

function action_switcher_slug_public_dist(){
	include_spip('inc/autoriser');
	if (!autoriser('modifier','gamumail')) {
		return false;
	}

	$securiser_action = charger_fonction('securiser_action', 'inc');
	$arg = $securiser_action();
	$id_gamumail = intval($arg);
	if ($id_gamumail) {
		$public = sql_getfetsel('public', 'spip_gamumails', 'id_gamumail ='.$id_gamumail);
		$set = $public == 'oui' ? ['public' => "non"] : ['public' => "oui"];
		sql_updateq('spip_gamumails', $set, 'id_gamumail ='.$id_gamumail);
	}

	// Cache
	include_spip('inc/invalideur');
	suivre_invalideur("id='id_gamumail/$id_gamumail'");
}
