<?php
/**
 * Options au chargement du plugin GamuMail
 *
 * @plugin     GamuMail
 * @copyright  2020
 * @author     tofulm
 * @licence    GNU/GPL
 * @package    SPIP\Gamumail\Options
 */

if (!defined('_ECRIRE_INC_VERSION')) {
	return;
}


function crayons_determine_input_mode_type_gamumail($type, $champ, $sqltype) {
	// array de tous les champs devant êtres en textarea
	$Ttextarea = array('texte');

	return in_array($champ, $Ttextarea) ? 'texte' : 'ligne';
}

/**
 * pour la doc fournie par inclure/remplacements_slugs.html
 * $GLOBALS['remplacements_gamumail'] est l'array global des remplacements dans les slugs (sera complété avec les remplacements des plugins)
 * de la forme : ['@@truc_a_remplacer_1@@' => 'le machin qui remplace 1', '@@truc_a_remplacer_2@@' => _T('gamumail:chaine_de_langue_2')...];
 *
 **/
$GLOBALS['remplacements_gamumail'] = [
	'@@nom@@' => _T('gamumail:nom'),
	'@@prenom@@' => _T('gamumail:prenom_sinon_nom'),
	'@@url_site@@' => _T('gamumail:url_site'),
	'@@url_raz_passe@@' => _T('gamumail:url_raz_passe'),
];
