<?php
if (!defined('_ECRIRE_INC_VERSION')) {
	return;
}

/**
 * fonction pour les remplacements génériques fournis par gamumail
 *
 * @param array $args = ['slug' => $slug, 'destinataires' => $pour, [$options]]
 * @param string $data = $html
 *
 * @return $html
 *
 **/
function inc_gamumail_remplacements_dist($args, $html) {
	/**
	 * @@nom@@ => $nom ou un espace pour vider le champ @@nom@@
	 **/
	$nom = sql_getfetsel('nom', 'spip_auteurs', 'email='.sql_quote($args['destinataires'][0])) ?? ' ';
	$html = gamumail_remplacer_modele('nom', ucwords($nom), $html);

	/**
	 * @@prenom@@ => $prenom ou un espace pour vider le champ @@prenom@@
	 **/
	$prenom = ' ';
	$trouver_table = charger_fonction('trouver_table', 'base');
	$desc = $trouver_table('spip_auteurs');
	if (array_key_exists('prenom', $desc['field'])) {
		$prenom = sql_getfetsel('prenom', 'spip_auteurs', 'email='.sql_quote($args['destinataires'][0])) ?? ' ';
	}
	$html = gamumail_remplacer_modele('prenom', ucwords($prenom), $html);

	/**
	 * @@url_site@@ => URL du site
	 **/
	$url_site = lire_config('adresse_site');
	$html = gamumail_remplacer_modele('url_site', $url_site, $html);

	/**
	 * @@url_raz_passe@@ => URL de la page de récupération de mot de passe
	 **/
	$url_raz_passe = url_absolue(generer_url_public('spip_pass'));
	$html = gamumail_remplacer_modele('url_raz_passe', $url_raz_passe, $html);


	return $html;
}
